<?php

namespace Btravel\Flight;

use User;

class Flight
{
    /**
     * $flight object.
     */
    protected $flight;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Flight\Interfaces\FlightRepositoryInterface $flight)
    {
        $this->flight = $flight;
    }

    /**
     * Returns count of flight.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.flight.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->flight->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\FlightUserCriteria());
        }

        $flight = $this->flight->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('flight::' . $view, compact('flight'))->render();
    }
}
