<?php

namespace Btravel\Flight\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Btravel\Flight\Interfaces\FlightRepositoryInterface;

class FlightPublicController extends BaseController
{
    // use FlightWorkflow;

    /**
     * Constructor.
     *
     * @param type \Btravel\Flight\Interfaces\FlightRepositoryInterface $flight
     *
     * @return type
     */
    public function __construct(FlightRepositoryInterface $flight)
    {
        $this->repository = $flight;
        parent::__construct();
    }

    /**
     * Show flight's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $flights = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$flight::flight.names'))
            ->view('flight::flight.index')
            ->data(compact('flights'))
            ->output();
    }


    /**
     * Show flight.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $flight = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$flight->name . trans('flight::flight.name'))
            ->view('flight::flight.show')
            ->data(compact('flight'))
            ->output();
    }

}
