<?php

namespace Btravel\Flight\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FlightTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Flight\Models\Flight $flight)
    {
        return [
            'id'                => $flight->getRouteKey(),
            'key'               => [
                'public'    => $flight->getPublicKey(),
                'route'     => $flight->getRouteKey(),
            ], 
            'id'                => $flight->id,
            'name'              => $flight->name,
            'slug'              => $flight->slug,
            'created_at'        => $flight->created_at,
            'updated_at'        => $flight->updated_at,
            'deleted_at'        => $flight->deleted_at,
            'url'               => [
                'public'    => trans_url('flight/'.$flight->getPublicKey()),
                'user'      => guard_url('flight/flight/'.$flight->getRouteKey()),
            ], 
            'status'            => trans('app.'.$flight->status),
            'created_at'        => format_date($flight->created_at),
            'updated_at'        => format_date($flight->updated_at),
        ];
    }
}